Subject: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Sep 2023 17:40:29 +0300

> From: Shingo Tanaka <[email-masked]>
> Date: Thu, 7 Sep 2023 23:24:55 +0900
> Cc: [email-masked]
> 
> Please find attached 2 images.  The frame pixel width with
> frame-width=40 & Noto Font is the same as the one with frame-width=80
> & Windows Font "ＭＳ ゴシック", meaning the pixel width of Noto Font is
> recognized 2x wider than Windows Font, although the actual ascii
> characters pixel widths of the two are the same as you can see.  And
> you can also see that the (list-buffers) buffer is unaligned around
> "Size" column and "Mode" column with Noto Font, which should probably
> the wrong pixel width recognition as you can see the space between
> "Buffer" column and "Size" column is too long.

It looks like the Noto font is not a fixed-pitch font, even though it
has "Mono" in its name.

What does "M-: (frame-char-width) RET" produce in each of these two
cases?